commit 539fa2eed39d24a161337ceb421d66f232863ec9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 08:12:59 2023 -0400

    add symlinks from /etc/profile.d to /etc/zprofile.d

commit 4610485b3f8f62037ef1db22545321fad08fa17e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 06:33:25 2023 -0400

    bumped changelog version

commit 6ae947a3d6adf1079e9b10a6bb197c0bffa75e3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 06:15:12 2023 -0400

    readme

commit 1a633a1480cea058581ac25871d39dcbec4bf06d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:44:14 2023 +0000

    bumped changelog version

commit 9c89c2f1a32186cf8b26ff04a9122a29de511db8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:34 2023 +0000

    bookworm

commit e4cc4865364bac999042270add123c15fc546131
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:29:35 2023 +0000

    bumped changelog version

commit 342145bcf0e74c1c47547f90c9f395baab7d8972
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:09 2023 +0000

    readme

commit 7b41d59b65e67a69c657659950ea35fd20c16be1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:09:09 2023 +0000

    bumped changelog version

commit 66210b2363abc30af91dd94fb324084f3bfc40a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:50 2023 +0000

    copyright

commit ef0ab46cf4b2a562a5239d61aa2fd192fb3efc2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:17:56 2023 +0000

    bumped changelog version

commit d55c3213907716f584e7a82f72343d7b34359a4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:36 2023 +0000

    Standards-Version: 4.6.1.0

commit 9bb5c7816a54a694fd44f1feec27565d61555b9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:39:06 2023 +0000

    bumped changelog version

commit 99c0f7c35433d2de3ea73f3570115cd6465fa711
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:05 2023 +0000

    update copyright year

commit ac4c16c1c35396bcbab45930e6866500e60f5c3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:48:04 2023 +0000

    abolish /rw/config parsing
    (Does not influence Qubes specific /rw/config parsing.)

commit f71c3c23ca8276d9d49fbbeffb2b7eea5724defb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:08:01 2022 -0400

    bumped changelog version

commit deeddf654f3a1826f3eb31ce9452a7b26e9aa16d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:15 2022 -0400

    readme

commit de384368cd0fab1f81c06e6fa7a36d63100e03f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:44 2022 -0400

    copyright

commit 23c909aab1a42f8cee7f12db15c48443363ca0dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:21 2022 -0400

    readme

commit 4105b6fd164d8dce625b98251a6c3be7acb77095
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:35 2021 -0500

    readme

commit cf3b2381d954c4990ad855dea940d51421a35f95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 20 14:44:28 2021 -0400

    bumped changelog version

commit bd48b023a99b575ea7cd3ea598ea98f43fb8eded
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 20 14:32:33 2021 -0400

    Added uwt wrapper for `dnf-3`.
    
    For Qubes-Whonix 16 dom0 UpdateVM support.
    
    https://github.com/QubesOS/qubes-issues/issues/6913
    
    https://github.com/QubesOS/qubes-issues/issues/6891#issuecomment-920220943

commit 603b5826374b67afdeead0b972deede4e8dd13b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 12:03:59 2021 -0400

    bumped changelog version

commit eb659d9d55d01321ef3b20984f1a2179c295c130
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:44 2021 -0400

    readme

commit 519a23ecf1137c231a8e7239c8fe4c3bc9a01e1c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 17:06:08 2021 -0400

    bumped changelog version

commit a28af519d97bd13ae3ec81310da49c7964af3b8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 17:01:08 2021 -0400

    lintian FHS

commit b75e932be23ded9edf2fe3b249293787416577c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:11:42 2021 -0400

    bumped changelog version

commit f3103608afb395cf224084751ed76ff92b313cf7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:43:20 2021 -0400

    lintian FHS

commit f5b57881a3f7245de5af275c29bb397ea5abf068
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:42:38 2021 -0400

    litian FHS

commit 8fad01d11eddc1f44cd15cef50903bc96156dfe3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:37:15 2021 -0400

    usr/lib/uwt_settings_show -> usr/bin/uwt_settings_show

commit 7624f9fad309a9ce654db2e354b9aa732b08748c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:51:32 2021 -0400

    update lintian tag name

commit a3d54a6fa7c6ab3cf17ed795c0efbcfc26459cb5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:36 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit dc4f6650c283c957cd3291e9b7d476a14e4a3e3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:45:00 2021 -0400

    man page

commit 58548548b54bef29d8803a384524b786281d8356
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:28 2021 -0400

    bullseye

commit 9012b433ee79ed054863ee946314ddc10e1c0d24
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:49 2021 -0400

    readme

commit 1b663a90837e0c8d90002b27f8cd6daa743208f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 9 07:43:47 2021 -0400

    bumped changelog version

commit 21aa111631f17e71b989636f62748d5f77d37c30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 9 07:35:39 2021 -0400

    guess, tell user which package needs to be installed
    
    https://forums.whonix.org/t/whonix-workstation-xfce-15-0-1-5-4-sudo-git-uwtwrapper-uwt-wrapper-error-usr-bin-git-anondist-orig-does-not-exist/11399

commit 7e6b623ffaf2d7359774904d1344387c7f746432
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 9 07:31:53 2021 -0400

    improve output
    
    https://forums.whonix.org/t/whonix-workstation-xfce-15-0-1-5-4-sudo-git-uwtwrapper-uwt-wrapper-error-usr-bin-git-anondist-orig-does-not-exist/11399

commit 413ee2039ab1117d810f9a4bf221a53d06527cde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:14:27 2021 -0400

    bumped changelog version

commit dde159bc44b6cdb1965dd2b9bcb282ee2f6cebd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:24 2021 -0400

    copyright

commit bdfa924ff91d20f06610f05a2234c5bee46eb10e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:45:59 2021 -0400

    bumped changelog version

commit aa71ee837b272bf6b9fe5c6a8e64bd0aa39f4da4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:45:58 2021 -0400

    readme

commit 798e5d92d4d5a22aa5c09366b13869a6a8568792
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:24 2021 -0400

    copyright

commit 11a64e5be6aecee690cf099171082485e89feb10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:48:38 2020 -0400

    bumped changelog version

commit 7b7f32ddba5ce8e3e094a9f62530aae2263d3ed6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:40 2020 -0400

    readme

commit 7cc9c6bf52de698f10a1ba9d65893ba262c01f5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:42:57 2020 +0000

    bumped changelog version

commit 7a7b07c86f61904ed3c366d513e94e649cc53376
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:26:29 2020 +0000

    comment

commit db6cd64e39d1595322fb676d7627f8024fc03f77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:26:11 2020 +0000

    copyright

commit 0f98bd3b3e1f770b767dbf92d16945d7584d4566
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 10:38:54 2020 +0000

    bumped changelog version

commit a097de656b32a91c28f269cc13383e98dd5bf60a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 10:33:46 2020 +0000

    readme

commit 7bafbba6c8569238743a094b207a18477d7d80e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 10:22:17 2020 +0000

    Output uwt settings.
    https://phabricator.whonix.org/T73

commit 89b88ce4b5de7e5b7c79909c9d2cdd613ba7ad54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 20:05:21 2020 +0000

    remove timezone-utc since merged into anon-apps-config

commit db67853fe1d87d5d71b11eb74a96a2d1d64dd5ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:06:27 2020 -0400

    bumped changelog version

commit 4206041de9f0829bff8cf73c43174f066f114304
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:59 2020 -0400

    readme

commit a6197d98d37375e7b76846fc73ea94ed34fc9440
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:35:00 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit 67957417f9ad4305e15f93f8ab7559a09f15539c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:35 2020 -0400

    remove genmkfile

commit 561fb61e5d7f1e89df73bc74b8b8b7490b4f383d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:34:16 2020 -0400

    add debian install file

commit dc766a76b9a2bef1f4faa8b2d810e877bb0c7b6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:49 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 6aa34fc870b6459a821ec332cb10df378663596e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:50:11 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit c0c9b1e32b2389791357cdbe9103abf84c07916f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:43:00 2020 -0400

    change path to auto generated man pages

commit 810a25b5bf21413157705f01438158412b80b05d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:08:06 2020 -0400

    bumped changelog version

commit 0d7937ea6a27e69e749571864a8dd046138b3e0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:50:01 2020 -0400

    update copyright year

commit c5b86aa9bddf6572d8411f7207a07556b9ae0824
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:54:56 2020 -0400

    bumped changelog version

commit 5172abf3c0f9e521226fdede64ad16710dc274b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:45:37 2020 -0400

    /usr/local/etc/uwt.d/*.conf

commit 7f8f4751124311141a1e23319da36446c8b4409e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:45:10 2020 -0400

    /usr/local/etc/uwt.d/*.conf

commit 4f1e18814a0d8a5b8844235ea239d7d6cf59fbf2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:23:44 2019 +0000

    bumped changelog version

commit 5b2573f5025e4b5384e0d17edc45c7613b18d256
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:10:10 2019 +0000

    readme

commit e3dcf37949d307426d0cb528e735c8b7c059f458
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 09:19:34 2019 +0000

    description

commit be7d51ef0f1baba716a6ce69c47143438f268825
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 09:16:19 2019 +0000

    code documentation

commit 3fa408a8058d05c8db092d339960e897c28ea41d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 05:54:04 2019 +0000

    code documentation

commit 70c408417f38d796d45af321dee900bd32e6dc1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 12:51:05 2019 +0000

    bumped changelog version

commit c769878d07211ee017a7141ab5a00061cae3cb56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:35:39 2019 +0000

    use properly override_dh_installman

commit f8e619343b01aaa52adf5cb71557540919369748
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:09:47 2019 +0000

    bumped changelog version

commit 952446390506931e33ab45fed29f53509330fded
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:46 2019 +0000

    readme

commit cb4bf01e24ce50161a1c86d8aac6e0b77353f28b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 07:14:58 2019 -0400

    bumped changelog version

commit 15b1ebe6b3d38de39eb71ef5f3f6c349fff77134
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:41 2019 +0000

    man page

commit ee90fd06c72201cde7e4ee25b944735d53a35ea2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:38:42 2019 +0000

    bumped changelog version

commit 0b9e8254e2f902f3d31cd659cd58af2ced089b0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:37 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 89e39bee71352552e588374c692fb29f519ca0e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:59:41 2019 +0000

    bumped changelog version

commit 88fa208c20672245db5c1a536fd6ae22fa17a824
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:11 2019 -0400

    readme

commit 49f7d52d20e4b8e4c153a873cb64e3ee6059b8e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:40:46 2019 +0000

    bumped changelog version

commit 67f7238d1fa75146865ae7aa640dd6b10b10f5fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:58 2019 +0000

    update

commit 923887d5c955dd6d127276236b69f83fe6db2aaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:20:06 2019 +0000

    bumped changelog version

commit d16603794baea69564231969059a2b0f256e8f5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:08 2019 -0400

    port to debian buster

commit b572be0f346945a0e490c22e6eb7715eb631b0f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:58 2019 -0400

    readme

commit 21b2d36853e6dd529e8fa038ba5da9489e426f61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:09:18 2019 +0000

    bumped changelog version

commit ae27ebd6a4f9a00a5d6753b16f770575c7da5b53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:20 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 0373e17291c8a95bf9a89f52cc66defaa4d27b07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:42:54 2019 +0000

    bumped changelog version

commit 5ef97de9ce26c5900120f63df7c1c0161d0d33de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:42 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit f8eec6914db0483e31bc5d7d66bfe752fee3b4e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 06:38:56 2019 +0000

    bumped changelog version

commit 18855a89d0b231eee168f2072c89d69248a61647
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 06:38:32 2019 +0000

    lintian

commit 24cc96c26412d204c185dc9e2efa450fc4057324
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 06:36:15 2019 +0000

    bumped changelog version

commit e29bf650d777deabf2cb9ef900ac0e3d535b95dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 01:22:14 2019 -0500

    magic-wormhole support
    
    https://phabricator.whonix.org/T771

commit e76e159cefcabdf62257422f6b268becdb8c2189
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:56:26 2018 +0000

    bumped changelog version

commit 2cd7bdb074a62d7d67c3df1866a5fb0e9f8f6c0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:41 2018 +0800

    readme

commit 2a3e69ade9e7e63876b956736e03955d66ad89d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 3 05:43:35 2018 +0000

    bumped changelog version

commit 62cfa1c10afc50c72e7371df0800e9a9fa590c0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 25 04:14:25 2018 +0000

    fix dependencies

commit 5256a44894927e9cb682f6dfdafe82f122a3d2eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:47:23 2018 +0000

    bumped changelog version

commit c9498e4bebdd60358f87a19d707aa2bcafd5c9ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:46:06 2018 +0000

    add uwtexec verbose support

commit a7ee19bca2da7061c47159608b5fc772038454a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:25:40 2018 +0000

    bumped changelog version

commit a6c82b13cf08985590ec967044a522c28fbf1599
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:19:54 2018 +0000

    comment

commit 433832c65986e14ec23c9add749f4e8f87f420f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:17:52 2018 +0000

    cosmetic, store /usr/lib/uwtexec in variable uwtexec_bin rather than hardcoding it
    
    https://github.com/Whonix/uwt/pull/6
    
    https://phabricator.whonix.org/T797

commit 5d256caa490a7449d1cc50378ac4a06d08c0e873
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:15:38 2018 +0000

    comments

commit 15e864342138c0b7ae8c3970b23fc6e8c83f8ed6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:14:04 2018 +0000

    comment

commit b93a65f79bf67fef723a2b3755561790e2867454
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:08:12 2018 +0000

    quotes
    
    https://github.com/Whonix/uwt/pull/6
    
    https://phabricator.whonix.org/T797

commit 6a9ae340cf634825ee35521c5548e040c65e8447
Merge: 875cc8c 2d46a83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 02:06:41 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 2d46a83ee2d0b6f9cd56f7d4f6d9a158c0d40fb4
Merge: 875cc8c 4003bb0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 22 10:03:58 2018 +0800

    Merge pull request #6 from yzxd/master
    
    Preserve zeroth argument when executing scripts with multiple wrappers

commit 4003bb068971adf11932b7a4f96beb366df36b7a
Author: yzxd <dxzy@protonmail.com>
Date:   Sun Jun 17 23:42:04 2018 +0000

    preserve zeroth argument when executing scripts with multiple wrappers

commit 875cc8c18942b83f6a6699471a02e8a0aac62329
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 07:13:26 2018 +0000

    bumped changelog version

commit dd1061d46de19a08d13cb3a53df2a60f70c6cf75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 16:45:17 2018 +0000

    fix

commit 6976659065abc8c85e883fa975247e5645ba0817
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 16:37:11 2018 +0000

    add protection against endless nested execution

commit 90f8fccf635615e816fc27e80a5c07db40ea49f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 16:06:43 2018 +0000

    comments

commit 8f87485760ba1d4d78d4d5f39fc56c3e6cd180fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 15:59:53 2018 +0000

    debugging

commit 22670da3133fa2575e82da22c15a358440d91881
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 15:53:23 2018 +0000

    debugging

commit 95dc6160a5910e325b8ca4b9a56ca2cd11dbda31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 15:50:53 2018 +0000

    debugging

commit 0f3b7e7f4c30d59372f48fab9727df6c91467b5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 15:34:15 2018 +0000

    comments

commit fe50217eb88cdb90aa74806039632507be861ef4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 15:29:55 2018 +0000

    move comment

commit 2eb726dca180353446c342dd2dc1b49be7a337ff
Merge: 03cc4c8 1ed03f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 15:25:58 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 1ed03f70f080dfc90d40927f169a3b5a0e12e7cf
Merge: 03cc4c8 164701d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 17:22:24 2018 +0200

    Merge pull request #5 from yzxd/master
    
    Fix issue with symbolic links to binaries

commit 03cc4c8568564d5993fcc8ea975cf00e851f7052
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 5 17:09:52 2018 +0200

    uwt: add apt and apt-file
    
    Thanks to @starius for the bug report!
    
    https://github.com/QubesOS/qubes-issues/issues/3882

commit 164701d072851a62ccee44986e53dddc838ed972
Author: yzxd <dxzy@protonmail.com>
Date:   Mon May 28 04:05:49 2018 +0000

    fix issue with symbolic links to binaries

commit a95b6c6dc70b28a98b2eca534e04d43ee874ec0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 12:25:13 2018 +0000

    bumped changelog version

commit 907f8e1ee93a0ec47febecce3e86266c681764fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 09:46:59 2018 +0000

    ricochet does not have unix domain socket file support, therefore it depends
    on the TOR_CONTROL_HOST and TOR_CONTROL_PORT environment variables being
    set. Otherwise it would try to start its own Tor instance.
    https://phabricator.whonix.org/T444
    
    set environment variables required for ricochet
    
    Thanks to @Tibo for providing the problem solution!
    
    https://phabricator.whonix.org/T444

commit 4d6ab4fe4b9b28a85f164c2038775fecf4f4721f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:27:18 2018 +0000

    bumped changelog version

commit 7f91f7b5fae97b6c1f9a7e4aa0bf9fa87ffdb27c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:40 2018 +0000

    readme

commit 1fc14bd16b01e25a501faf823c15f7874ce66795
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:39:01 2018 +0000

    update copyright

commit e082e8edd06eed6ac36f7320809775f3f01744c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:10 2018 +0000

    update copyright

commit 15d916c0d9c0dc8e706d43db73305bdde6968012
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:22 2018 +0000

    update copyright

commit 81bd78ea140c19b9906d7af0c0ebf2c53d289615
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:47 2018 +0000

    update copyright

commit 86df278bf5b549839cc87a7944006da8345057bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 00:16:05 2017 +0000

    bumped changelog version

commit 269aaf079abec2644f1d344c594631d696e5b6e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 00:15:46 2017 +0000

    fix path to bindp

commit 4d9fa12e85b9fba1b8ee3cda6f1fcee9a3e43443
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:36:44 2017 +0000

    bumped changelog version

commit 73e81e3a57d4cd8c738f78504cdea1b55d2f5f38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:26:30 2017 +0000

    readme

commit 0109305015a37d0d9b3760ed9cb035eac4e21fb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 21:48:02 2017 +0000

    bumped changelog version

commit 109d0a61b3ece0e7ffbe3e42c8e57117cf199ac3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 21:47:42 2017 +0000

    remove non-ASCII character

commit 4f6615e829e1f4e4e53f6799e428e2c633daba48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 18:11:59 2017 +0000

    bumped changelog version

commit b20adbf06c6ee9b2dacf3f30b2ef865d27720f5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 18:09:23 2017 +0000

    update path to bindp

commit 3d0abe6ca8012fb0825d0d236a9558044d04d92b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 16:18:17 2017 +0000

    bumped changelog version

commit c3efa0004fe29439bccf0ff6d6dd86a37beadc00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 14:57:16 2017 +0000

    "$@"

commit 56cf07e8303bee7b2aab035e6b531ad9dca40ea5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:12:24 2017 +0000

    bumped changelog version

commit 5fc1c76322e39c9e8ed7a0847b77b3cca81065de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:29:14 2017 +0000

    "$@"

commit f6a5f40ad65ef8fbc610f01fc0b7dc79a868a045
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:45:08 2017 +0000

    remove bindp, moved to its own bindp package
    
    https://phabricator.whonix.org/T561

commit dd3bdbc8a5dda374f88317a773eb7dd8068a7a3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:28:08 2017 +0000

    readme

commit a38071ae4cfd6e4d896659d2a1b25e5df4343828
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:52 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit dcb46f5cdfe6ccdaf28d1bd35234a24e73fe3bef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:26 2017 +0000

    remove debian/gain-root-command workaround

commit ba0cace2b1164fdb0b2b32be73247116e6fd7f75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:26:29 2017 +0000

    packaging simplification ruby-ronn (>= 0.7.3) -> ruby-ronn

commit b6e19ebb37254b7c446128dbca80be4bf9ad3422
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:19:31 2017 +0000

    packaging simplification config-package-dev (>= 5.1) -> config-package-dev

commit 0e3a327687702019e6705646fcba718ab0d31fbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 02:09:45 2017 +0000

    bumped changelog version

commit b6188aaf3c95b30602153f49645778097f427eb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 19:23:47 2017 +0100

    fix bindp eth0 ip detection for debian stretch

commit dc1d2930bdc3067a33e30eac959ccc826e392bd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 10:27:13 2017 +0000

    bumped changelog version

commit 8e50fd61f9b662abfd9a2b55c8e061737de126d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 08:27:06 2017 +0000

    add gpg2 uwt wrapper
    add symlink support
    cleanup
    refactoring

commit 1526be13b2eed7604ffc9b0471531209af4230ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:40:42 2017 +0000

    bumped changelog version

commit affaa2fbc56e895bdc0991ddbd21c340c206cfdc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:40:06 2017 +0000

    re-implement UWT_DEV_PASSTHROUGH

commit 19448c17d88d34aa2fd305654ee65a9a44af594f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:33:58 2017 +0000

    bumped changelog version

commit 66447a54d37a88a78bb9a2056cd410c0c2bf12ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 09:07:00 2017 +0000

    abolish /usr/bin/uwt thanks to TORSOCKS_ISOLATE_PID
    
    https://phabricator.whonix.org/T356

commit b7d4101af1c7d8c95872b03abb52c0a2bbcda87f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:47:22 2017 +0000

    /etc/tor/torsocks.conf AllowInbound 1

commit 86d553a63a3a90d7e9b57edc9e2998df6cc17a70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:43:55 2017 +0000

    /etc/tor/torsocks.conf AllowOutboundLocalhost 1
    
    https://phabricator.whonix.org/T357

commit c2f471d97573680bf00992ac775296da0fe9ac35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:42:31 2017 +0000

    enable /etc/tor/torsocks.conf IsolatePID 1
    
    https://phabricator.whonix.org/T356

commit d1a64bd9a6016ee527b127b380676f97aa1d53ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:41:11 2017 +0000

    add original /etc/tor/torsocks.conf and config-package-dev displace it
    
    from /etc/tor/torsocks.conf.anondist

commit 174f593e3491ec3e36d8e511550cd0da62788f42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:36:06 2017 +0000

    move TORSOCKS_LOG_LEVEL from uwt to uwtwrapper

commit 60ede1d9988abb79fbc27ab6428db3c0d400d9ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:31:41 2017 +0000

    make variables TORSOCKS_CONF_FILE and TORSOCKS_LOG_LEVEL overwriteable

commit 56214ac53c3064f08c284cafbe044a9112987bbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:37:08 2017 +0000

    bumped changelog version

commit 0b776f47dcb980e30f8522bab04496f9dd78ab52
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:43 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 1b399cbc4ec79ae42982af1c9227750ad663378f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:57:50 2017 +0000

    bumped changelog version

commit c757766777d1eccdf0246582a6145fa40f29679a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 11 21:36:06 2017 +0000

    refactoring

commit e1c0b00aef415e0f32704bfaa83118839a3e6080
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 11 21:32:47 2017 +0000

    shuffle

commit 20f9e00db8f8ad9ace67b8aa4626f90b2e9bd9a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 10 15:43:30 2017 +0000

    ricochet lintian warning fix
    
    https://phabricator.whonix.org/T444

commit 2a516b92849f3dd55c0d5cec6a01510f13268c33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 10 15:40:16 2017 +0000

    add ricochet to bindp
    
    https://phabricator.whonix.org/T444

commit f3688a6813abe82597399da5bf05f0bca7771ff8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 10 10:06:07 2017 +0000

    onionshare support
    package bindp
    uwtwrapper_verbose
    uwt rewrite
    code simplification
    refactoring

commit 3dafd3b83441d4cf55eaec9ff6da6454391edd63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:35:45 2016 +0000

    bumped changelog version

commit 0568a2a6c0b7b17b66289b4256655ed3a4e389f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:43:41 2016 +0000

    readme

commit 4fa778de2ecfe95aaaffa9c0ecb6885c1b812d23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 12 20:52:04 2016 +0000

    add uwt settings info tool
    
    https://phabricator.whonix.org/T73

commit dd06acbb467a0297c40dc22a61ef0d4e8d0d3006
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 2 19:58:24 2016 +0200

    comments

commit 5fa7a803cf376680886a52e8cc06620588d9ff89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:37:58 2016 +0000

    parse also /rw/config/uwt.d/*.conf for config snippets

commit 23ab78bd3dd27ac3b01e871172229dd843606cf4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 03:59:19 2016 +0000

    bumped changelog version

commit 651d2af8417fb0b7f77a88493a37935972ed444b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 02:59:27 2016 +0000

    sane defaults even without config files
    
    https://phabricator.whonix.org/T286
    https://phabricator.whonix.org/T503

commit 058be3075f1079269f8a0264df3b3e7dadf5bfa3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 02:48:56 2016 +0000

    output

commit e9596f971e22ffe68f1d9b251e3ba1b4218807db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:52 2016 +0000

    bumped changelog version

commit 213d85eed31823cabb118bdb674bef8fa3437307
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 21:05:57 2015 +0000

    updated README.md

commit 0a42a48011f5d14bbe8f964e7ce9be81dffcd951
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 14 21:44:39 2015 +0000

    comments

commit 4c22f04041bd1287eb73dcc599cca831f74e938a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 11 10:47:36 2015 +0000

    Fix, make '/usr/lib/uwtwrapper --help' only work when manually run without env.
    
    Only use the command line parser if $uwtwrapper_parent is empty. I.e. when
    manually called from command line instead by a wrapper. Otherwise it would
    interfere with the forwarded options to application. I.e. for example
    'apt-get --help' would break.

commit e1c5be36a2f136173a8ffa3098f0c1fcc5f32342
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 18:15:35 2015 +0000

    fixed aptitude that uses Debian 'alternatives' mechanism

commit f19f9339c2ef7638886c497577edd3a3c9d7e5dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 17:30:46 2015 +0000

    fixed aptitude uwt wrapper
    
    Thanks to rAntOCauDgb for the report!
    
    https://forums.whonix.org/t/aptitude-update-fails-most-of-the-time-on-whonix-gateway-only-it-turns-out

commit 9a3c180d674183edf13e662e8b930820d88ba574
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 15:59:01 2015 +0000

    - implemented uwtwrapper --help
    - output help if uwtwrapper is called without arguments

commit 0f1f6c9c8ced919e2244a65a4a0f5297fe3fb884
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 22:02:54 2015 +0000

    refactoring

commit e042b679561d3ef2e5e141873af2620d368905f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:52:38 2015 +0000

    refactoring

commit 5a8f500a5a793948ae5fd75b522b240ea5525894
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:39:26 2015 +0000

    fixed config file parser if config folder does not exist

commit 4dd48f16329d9701d8d86c3dc4931251a15372c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:47:06 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit 68c4bcb06ea226962f99ab310a5f4b515076b0ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:41 2015 +0000

    bumped changelog version

commit 6aeff4e842b9af3517000578f38acbcb6d88ab15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 17 17:28:04 2015 +0000

    fixed bug when Qubes NetVM was set to 'none'

commit ed001a2e61dbc648e4e98995764cd16226f47954
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 17 17:09:15 2015 +0000

    comment

commit ba3116b52ed415ae65285a1ae31b0c3a906dcdb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 20 03:55:39 2015 +0000

    fixed lintian warnings

commit 42234b0ef5ec130764e7a105476489367794c774
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 15:53:17 2015 +0000

    native Qubes support

commit 5b5cf85ea2cfa09649275085bbaa02ba63ddfe0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 6 19:34:38 2015 +0000

    Fix: Removed the leading '.anondist' file extension from uwtwrapper_parent variable. This is useful in case for example uwtwrapper_parent is called by running 'exec /usr/bin/apt-get.anondist', such as eatmydata is doing.

commit ddc9fbc6822b643ff0bbf1cac872d65a86ff8c70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 3 13:32:49 2015 +0000

    added stream isolation wrapper for yumdownloader

commit 621efc5822b88b8bda593f53247a4b1e119345bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 3 13:30:31 2015 +0000

    fixed lintian warning

commit e86f3497832626f16721cd0fc493fb4ba4a12ee6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 3 13:03:36 2015 +0000

    added stream isolation wrapper for yum

commit 9489d1edfb7ffee28172bed9a1500dd96d3217d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:28 2015 +0000

    bumped changelog version

commit 1d5dafe50e3d4dc2ea774ccfce8c07cfc5bd2993
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:30 2015 +0000

    bumped changelog version

commit c58a00667a13e3841b3b53116358fb5fdc7a8831
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 30 13:51:56 2015 +0000

    bumped changelog version

commit 568a0e4737e2e5f2d698c017d78bfa9e5624a433
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 30 13:48:30 2015 +0000

    fix - https://www.whonix.org/forum/index.php/topic,1267

commit 6c96e96114095a9441a268997d9705a4f40e7db3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 21:02:06 2015 +0000

    bumped changelog version

commit ddd02496e535dc00ceb1c601ad0c2fc80fe0f558
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 19:44:04 2015 +0000

    refactoring

commit 2e6a7f55fc914acfb6c5c4c4db3569722c9d451d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 19:36:52 2015 +0000

    fixed signal handling

commit 30ed7ffc4468de394467bf043256eea7db140b93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 14:44:57 2015 +0000

    bumped changelog version

commit c92234cb9d294d266b94b77ab1ef7ff3c63220bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 14:38:30 2015 +0000

    delete temporary torsocks configuration file at the end

commit 5810db822ba6d942753756d40f174720d3dad283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 14:06:15 2015 +0000

    comment

commit 676a1612f5d1649187d59518de8de38688446cfb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 14:05:58 2015 +0000

    comment

commit 506c9bb1567cfae7ca90556558333e01079a5df1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 14:02:18 2015 +0000

    uwt multi user fix

commit f81bd1a63c980fd6bf13c88eacbf5d19ece4ef14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:21:30 2015 +0000

    quotes

commit 9eea26f7f65b8ab52b8a015a7fe62b3dd9561b56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:18:49 2015 +0000

    removed ineffective test that is unnecessary because already covered by trap ERR

commit ba11416730302f67a922b397c50ce81fc9d4df7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:18:08 2015 +0000

    refactoring

commit 4edabec1acdebb3c5af12c44b08005c9f79cc492
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:16:21 2015 +0000

    cleanup

commit 940debe5616e65e2b07d1b03ae804b802d90ab2c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:15:55 2015 +0000

    refactoring

commit d47d7d762bfc5d74cc288f92defa8697f17a176e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:14:51 2015 +0000

    cleanup

commit 312eece3b817b6cdfd70300acb4754984bd78130
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:13:42 2015 +0000

    refactoring

commit a077a7ba87704469f281dc974ce4a3361e801146
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 13:09:44 2015 +0000

    quotes

commit e3b76b83e99bbd5eb86285fab7af491d062fd996
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 15:59:04 2015 +0000

    bumped changelog version

commit c93bffdc64042ff885556eefd19d5c6b27044ff8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 15:58:43 2015 +0000

    comment

commit 60af762a7bb30ac40339aa05c438bc9fd3c6c754
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 15:57:17 2015 +0000

    disable torsocks warning spam, set 'Defaults:ALL env_keep += "TORSOCKS_LOG_LEVEL"' in '/etc/sudoers.d/uwt' - https://phabricator.whonix.org/T317

commit f48aca83973bead089c97d720ac7b9c37a6b6348
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 15:54:40 2015 +0000

    disable torsocks warning spam, also set 'export TORSOCKS_LOG_LEVEL=1' in /usr/bin/uwt - https://phabricator.whonix.org/T317

commit 8d9f0cf0ca5c2e33f452bc41e059c257a61acac3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 15:50:35 2015 +0000

    typo

commit 86c163b1b756f5409206e70141b8fcf8e2b50829
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 01:37:44 2015 +0000

    bumped changelog version

commit 68b44f34929ab992072342a07b278d8827bc088a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 01:36:07 2015 +0000

    disable torsocks warning spam - https://phabricator.whonix.org/T317

commit 9fc85ac8d510fbaa47f35a448a1ed225b6faf851
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:57:03 2015 +0000

    bumped changelog version

commit 0bebeee1ef794bf8c3a4e85d3f6783e78f17012c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:28 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit d9c615f7546510a3414e339d9405344746c84596
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:16:18 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 3b3f8693928aa98529c8e5d41fb538b52bdbb202
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:43:01 2015 +0000

    bumped changelog version

commit 88e42cedbe8f75be037f9233b00cc65263a084a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:30 2015 +0000

    added genmkfile to Build-Depends

commit 6b819878dbfe64593df736858c69770d42007277
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:46:01 2015 +0000

    updated debian/rules for makefile generic to version 1.5

commit 5cc8b28c8c5a85f11eaeae04dc7e2630e93355b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:51 2015 +0000

    updated makefile generic to version 1.5

commit 590b27c9c416c9078d77e16a4f3861f930e0d95e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:58 2015 +0000

    bumped changelog version

commit 5e2e281787958b1ae7cef0b8ffcd292b10ed6e6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:57 2015 +0000

    updated makefile generic to version 1.4

commit a0a1aeaf8d93ffd937d0935d29f085ac91174ae9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:37 2015 +0000

    bumped changelog version

commit 25f781a38a726c5336ec90da39db7b1b1da12bfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:45:04 2015 +0000

    added changelog.upstream

commit 49538d9c2a3c3ab4edffbcc55f334b35758fc42e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:56 2015 +0000

    updated makefile generic to version 1.3

commit e0d36f7f2a9021044b1ed52edd22741342884756
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:58 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 94d52483c3f5b1879205cfd9023ead1f88614692
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:34:59 2015 +0000

    bumped compat from 8 to 9

commit 04de1c0817fed87331b00b35e21dce16e51af1e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:22 2014 +0000

    updated generic makefile

commit 64ebc857893cf10d4e8305b8157d6f46f0d6d011
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 14 09:19:35 2014 +0000

    output

commit 7fec0442bef59610c5e83ac16ac8bf21e9c41883
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 14 09:15:04 2014 +0000

    quotes

commit b5bb328adfa3c07e78bbf99cfb42223933a8af9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 4 16:14:57 2014 +0000

    Fixed apt-get stream isolation port, thanks to nrgaway for the report!

commit 5c11ac822e9235662394bba231a397409fd6aaa3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:32 2014 +0000

    makefile: refactoring, avoid using IFS

commit 4f8aabe31c07496e9c24c09f11de7c8b20ae345b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 04:02:34 2014 +0000

    torsocks 2.0 support https://github.com/Whonix/uwt/issues/1

commit 0b5b1e525de272a1c1a25ec29fd1e157a94140e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:54 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit e3aa6f68ebeafc04446f484b480400fdd743c0c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:05 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit 4d25a2234044f8636f974d2c54682569ff426f16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:59 2014 +0000

    readme

commit 10ce69d7dea6f1812c0bb8d78b3dd6eda12aa73f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 26 15:26:43 2014 +0000

    fix

commit c412467d78ac43b5c22eb3fa028eccd9a21008a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 25 18:23:51 2014 +0000

    reverted "fix, cleanup temporary file on exit"; all temporary files are now in /tmp/uwt; debugging; comments

commit 2ea020b86ed5cf2b88c2d75490375be96b4adb9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 25 17:42:42 2014 +0000

    debugging

commit 4eae4c4ac9a73d29309966acaf0fb0c9d1f7863d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 23 00:55:03 2014 +0000

    uwt: fix, cleanup temporary file on exit

commit 69d4a7b55b01d9e8d43ed07000b4d39878b2b81a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 22 23:07:01 2014 +0000

    refactoring

commit 844847bda3f9afcd7410d57492e5d771a577608f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:45 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit ff4aea265c68bec46398bee0fdfa62c18b80fcc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:27 2014 +0000

    Updated debian/changelog.

commit 4d3d7fe56678b4784900703837ac2bc8c3cad799
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:30 2014 +0000

    Fixed changelog date.

commit 479f5397a9dc44e828524b61c8148db746a06fbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:32 2014 +0000

    bump version number

commit 2a4f4ff3b1626fc7bfd4f40d047859816ffb7750
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:21 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit c84e0167532f1c099feddd368a5a068fdfb9fd2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:30 2014 +0000

    packaging

commit 1bb76a74635653a0634fef30de455958d1f74d17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:15 2014 +0000

    packaging

commit c97815a959dc2aa0443c0ae81b469b46573f01d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:40 2014 +0000

    packaging

commit 3bbeb0903681cc2b47bbdeb04162cd63e9ea3fa7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:08 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit d268d692b8960ba1d274ef8d222187366d0ee49d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 14 01:54:34 2014 +0000

    quotes

commit 4f12ebe595294e2abcd2c525fe8ea110b104cc41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:31:36 2014 +0000

    packaging

commit 10e229a865b6bc16c78c4bb710c06ec89a1c1f17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:11:04 2014 +0000

    packaging

commit 0d1423fef1f401b3824a88b70d28b8e6d870c077
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:21 2014 +0000

    packaging

commit 1dd6f88d0a9074f4d9487a3d3a53e28100e9f5d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:31:30 2014 +0000

    quotes

commit aab91cc3491570d85f3a219a17ab7264521f42fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:27:07 2014 +0000

    use $BASH_SOURCE instead of $0

commit dccf1dc8df97d6e79a1c3bc9826555f5923b6e98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 11:32:22 2014 +0000

    sanity test

commit 0cb71ba0a7673fd9cdaba629c9c0efa568d2c203
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:14:26 2014 +0000

    fix upstream version number

commit 954510e365e78c69ccdcd9c933720fa65b2022e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:11:34 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit de6a0558a554445a65ee248216e8bfd8f86be727
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:15 2014 +0000

    added debian epoch; added dotglob

commit f86b3545dc16b10fd940880d8420b2942da25e11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 15 02:38:17 2014 +0000

    stop patronizing users, allow usage of UWT_DEV_PASSTHROUGH outside of Whonix; removed Whonix specificness

commit 10d8ac7e7ee97a909695235100fcd792a593c43c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 12 15:03:48 2014 +0000

    added lintian override

commit b8083c5eec5888e533542ebba91d7370504d3289
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 10 15:59:44 2014 +0000

    Revert "added "local = 11.150.128.0/255.255.192.0" to be able to switch Whonix's internal IPs"
    
    This reverts commit a36e86e6c22eecc30c412a3b3afd659dd555169e.

commit b68dab1ccac543b95f01513a6ec6e2ad74b0f9ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 10 14:17:49 2014 +0000

    update IP as per https://www.whonix.org/forum/index.php/topic,107.0.html

commit 00cd916f052aab4a96f72b9b265fbd21f63c64f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 9 13:45:24 2014 +0000

    changed gateway ip from 192.168.0.10 to 11.150.150.150

commit a36e86e6c22eecc30c412a3b3afd659dd555169e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 9 13:33:13 2014 +0000

    added "local = 11.150.128.0/255.255.192.0" to be able to switch Whonix's internal IPs

commit bae088085106635e27729d5cfb89279d9abbc422
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:38 2014 +0000

    readme

commit 45bbafb486f10b83579f1f794bc81e523c41f10d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:38 2014 +0000

    readme

commit 41d81a599fd7c4e7ec3456b133bb8bf0c69a8218
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 31 14:40:01 2014 +0000

    # On branch master
    nothing to commit (working directory clean)

commit 76d1ded8eab138a9e399854a504f09a2fe82314b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 23 15:48:23 2014 +0000

    packaging

commit f87edef7c3e2fd08a14329237c09966b564395ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 23 15:08:17 2014 +0000

    added uwtwrappers

commit 907b6e5d80db78b0b1cb4bcf03b0a4c9f0cf022e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 23 14:51:28 2014 +0000

    initial import from github.com/Whonix/Whonix
